SRC/dlarscl2.f(3)

NAME
SRC/dlarscl2.f

SYNOPSIS

  Functions/Subroutines
subroutine dlarscl2 (m, n, d, x, ldx)
DLARSCL2 performs reciprocal diagonal scaling on a matrix.

Function/Subroutine Documentation

  subroutine dlarscl2 (integer m, integer n, double precision, dimension( * ) d, double precision, dimension( ldx, * ) x, integer ldx)

DLARSCL2 performs reciprocal diagonal scaling on a matrix.

Purpose:

     DLARSCL2 performs a reciprocal diagonal scaling on a matrix:
       x <-- inv(D) * x
     where the diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_dge_diag_scale in the new BLAS
     standard.

Parameters
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is DOUBLE PRECISION array, dimension (M)
         Diagonal matrix D, stored as a vector of length M.

    X

              X is DOUBLE PRECISION array, dimension (LDX,N)
         On entry, the matrix X to be scaled by D.
         On exit, the scaled matrix.

    LDX

              LDX is INTEGER
         The leading dimension of the matrix X. LDX >= M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file dlarscl2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.